Web lists-archives.com

Re: [Samba] Doubt about patch




hai, can you post to the list, thats beter for everyone.


if its an ad dc, then you can not run nmbd.


but we need to see your smb.conf to make sure you dont have a configuration error.




Greetz,


Louis

Op 29 jun. 2017 om 11:34 heeft Hénoch Hervé <h.henoch@xxxxxxxxx> het volgende geschreven:



Hi,

I've using your package but i've the following problem :

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Last login: Thu Jun 29 10:04:27 2017 from 172.18.0.1
root@vspdc:~# /etc/init.d/samba restart
[....] Restarting nmbd (via systemctl): nmbd.serviceJob for nmbd.service failed. See 'systemctl status nmbd.service' and 'journalctl -xn' for details.
 failed!
root@vspdc:~# journalctl -xn
-- Logs begin at jeu. 2017-06-29 09:20:50 CEST, end at jeu. 2017-06-29 11:30:36 CEST. --
juin 29 11:19:47 vspdc systemd[1]: Unit nmbd.service entered failed state.
juin 29 11:30:24 vspdc sshd[1076]: Accepted password for root from 172.18.0.1 port 42598 ssh2
juin 29 11:30:24 vspdc sshd[1076]: pam_unix(sshd:session): session opened for user root by (uid=0)
juin 29 11:30:36 vspdc systemd[1]: Starting Samba NMB Daemon...
-- Subject: L'unité (unit) nmbd.service a commencé à démarrer
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- L'unité (unit) nmbd.service a commencé à démarrer.
juin 29 11:30:36 vspdc nmbd[1093]: [2017/06/29 11:30:36.865046,  0] ../source3/nmbd/nmbd.c:923(main)
juin 29 11:30:36 vspdc nmbd[1093]: server role = 'active directory domain controller' not compatible with running nmbd standalone.
juin 29 11:30:36 vspdc nmbd[1093]: You should start 'samba' instead, and it will control starting the internal nbt server
juin 29 11:30:36 vspdc systemd[1]: nmbd.service: main process exited, code=exited, status=1/FAILURE
juin 29 11:30:36 vspdc systemd[1]: Failed to start Samba NMB Daemon.
-- Subject: L'unité (unit) nmbd.service a échoué
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- L'unité (unit) nmbd.service a échoué, avec le résultat failed.
juin 29 11:30:36 vspdc systemd[1]: Unit nmbd.service entered failed state.


i must put :

server  role check:inhibit = yes in smb.conf

I then samba restart is ok. 

An idea ?




Le 29/06/2017 à 10:18, L.P.H. van Belle via samba a écrit :


Marcio, If you using my package, you can safely use 4.6.5 from my apt. That was the experimental debian package, i added 2 patches. Package setup see http://apt.van-belle.nl More info at http://downloads.van-belle.nl I have a day off, so im bit slow in replying. Greetz, Louis 

-----Oorspronkelijk bericht----- Van: samba [mailto:samba-bounces@xxxxxxxxxxxxxxx] Namens Marc Muehlfeld via samba Verzonden: donderdag 29 juni 2017 7:24 Aan: Marcio Demetrio Bacci; samba@xxxxxxxxxxxxxxx Onderwerp: Re: [Samba] Doubt about patch Hi Marcio, Am 29.06.2017 um 03:54 schrieb Marcio Demetrio Bacci via samba: 

How I apply CVE-2017-7494 in the Samba 4.6.3 ? Do I need to recompile and reinstall the Samba 4, after 

applying this patch? How did you install Samba? * If you used packages, then your package provider will (hopefully) provide you an update to 4.6.4 or an updated package that includes the patch. * If you compiled from source: * Compile and install 4.6.4. This version is a security release. This means, it's the same as 4.6.3 + the patch. See: https://www.samba.org/samba/history/samba-4.6.4.html Regards, Marc -- To unsubscribe from this list go to the following URL and read the instructions: https://lists.samba.org/mailman/options/samba 




-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba